﻿aGlossary["A"] = new Array();
objGlossary = new Object;
objGlossary.TERM="ABEND";
objGlossary.DEFINITION="See abnormal program end.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="abnormal program end (ABEND)";
objGlossary.DEFINITION="A program that terminates prematurely or is in an error status. Analogous to “crash” or fault” in UNIX terminology.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="ACID property";
objGlossary.DEFINITION="One of the properties of a transaction: atomicity, consistency, isolation, or durability.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="ACID transaction";
objGlossary.DEFINITION="A transaction involving multiple resource managers using the two-phase commit process to ensure atomic, consistent, isolated, and durable (ACID) properties.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="address space";
objGlossary.DEFINITION="The isolation of applications by creating a separate memory space for each running job. Analogous to “virtual machine” in UNIX terminology.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="APAR";
objGlossary.DEFINITION="See authorized program analysis report.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="application";
objGlossary.DEFINITION="One or more computer programs or software components that provide functionality in direct support of a specific business process or processes.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="authorized program analysis report (APAR)";
objGlossary.DEFINITION="A request for correction of a defect or bug in a current release of an IBM-supplied program. This is a vendor-specific term.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="availability";
objGlossary.DEFINITION="(1) The condition allowing users to access and use their applications and data. 
(2) The time periods during which a resource is accessible.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="available";
objGlossary.DEFINITION="A term that pertains to a logical unit or device that is active, connected, enabled, and not at its session limit.";
aGlossary["A"] = arrPush(aGlossary["A"],objGlossary);


aGlossary["B"] = new Array();
objGlossary = new Object;
objGlossary.TERM="batch";
objGlossary.DEFINITION="(1) A group of jobs to be run on a computer sequentially with the same program with little or no operator action. 
(2) A group of records or data processing jobs brought together for processing or transmission.";
aGlossary["B"] = arrPush(aGlossary["B"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="batch versus interactive";
objGlossary.DEFINITION="Jobs that run on the system to complete processing with or without user intervention. Analogous to “background/foreground process” in UNIX terminology.";
aGlossary["B"] = arrPush(aGlossary["B"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="business integration";
objGlossary.DEFINITION="An enterprise solution that moves information among diverse sources to perform business exchanges and that processes and routes information among disparate applications in the enterprise environment. The business integration system consists of an integration broker and one or more adapters.";
aGlossary["B"] = arrPush(aGlossary["B"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="business resiliency";
objGlossary.DEFINITION="The ability of the enterprise to continue to function as effectively as possible in the face of natural and man-made problems and disasters affecting its IT.";
aGlossary["B"] = arrPush(aGlossary["B"],objGlossary);


aGlossary["C"] = new Array();
objGlossary = new Object;
objGlossary.TERM="CA-7";
objGlossary.DEFINITION="An automated production control over job queues, security, priority, scheduling, scheduling IDs, pre- and post-job processing requirements, and documentation.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="Capacity Upgrade on Demand (CUoD)";
objGlossary.DEFINITION="A System z operating system feature that allows users to permanently activate one or more inactive processors or memory units without requiring server restart or business interruption.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="CICS";
objGlossary.DEFINITION="See Customer Information Control System.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="client";
objGlossary.DEFINITION="(1) A software program or computer that requests services from a server. 
(2) A runtime component that provides access to queuing services on a server for local user applications. The queues used by the applications reside on the server.
(3) A classifier that requests a service from another classifier.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="COBOL";
objGlossary.DEFINITION="See Common Business Oriented Language.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="Common Business Oriented Language (COBOL)";
objGlossary.DEFINITION="A high-level programming language that is used primarily for commercial data processing.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="connectivity";
objGlossary.DEFINITION="(1) The capability of a system or device to be attached to other systems or devices without modification.
(2) The degree to which storage controls are joined to a direct access storage device (DASD) and processors to achieve adequate data paths (and alternative data paths) to meet data availability needs.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="control unit (CU)";
objGlossary.DEFINITION="A device that coordinates and controls the operation of one or more input/output devices, and synchronizes the operation of such devices with the operation of the system as a whole. Analogous to “storage controller” in UNIX terminology.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="core";
objGlossary.DEFINITION="One of several parts in a computer processor.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="coupling facility (CF)";
objGlossary.DEFINITION="A special logical partition that provides high-speed caching, list processing, and locking functions in a system complex (sysplex).";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="CU";
objGlossary.DEFINITION="See control unit.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="CUoD";
objGlossary.DEFINITION="See Capacity Upgrade on Demand.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="Customer Information Control System (CICS)";
objGlossary.DEFINITION="A general-purpose transaction processing subsystem for the z/OS operating system. CICS provides services for running an application online, by request, at the same time as many other users are submitting requests to run the same applications, using the same files and programs.";
aGlossary["C"] = arrPush(aGlossary["C"],objGlossary);


aGlossary["D"] = new Array();
objGlossary = new Object;
objGlossary.TERM="DASD";
objGlossary.DEFINITION="See direct access storage device.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="Data Facility Storage Management Subsystem (DFSMS)";
objGlossary.DEFINITION="An operating environment that helps automate and centralize the management of storage. To manage storage, the storage management subsystem (SMS) provides the storage administrator with control over data class, storage class, management class, storage group, and automatic class selection (ACS) routine definitions. The subsystem is responsible for allocating space on a direct access storage device (DASD). Analogous to any storage management product in the UNIX environment.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="data set";
objGlossary.DEFINITION="Storage space on a direct access storage device (DASD). A data set can be either partitioned (with internal members) or sequential. In UNIX terminology, partitioned is comparable to an archive with multiple files; sequential is comparable to a file.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="data sharing";
objGlossary.DEFINITION="The capability to concurrently access data from multiple DB2 subsystems.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="DB2";
objGlossary.DEFINITION="The IBM flagship family of relational database management system (RDBMS) products that serve a number of different operating system platforms.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="DFSMS";
objGlossary.DEFINITION="See Data Facility Storage Management Subsystem.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="direct access storage device (DASD)";
objGlossary.DEFINITION="A storage device that can be directly accessed by the operating system (OS) through a control unit (CU). Analogous to “hard drive” in UNIX terminology.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="distributed system";
objGlossary.DEFINITION="A collection of autonomous computers linked by a computer network and equipped with distributed system software. This software enables computers to coordinate their activities and to share the resources of the system hardware, software, and data. Users of a distributed system should perceive a single, integrated computing facility even though it may be implemented by many computers in different locations. This is in contrast to a network, where the user is aware that there are several machines whose locations, storage replications, load balancing, and functionality are not transparent.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);

objGlossary = new Object;
objGlossary.TERM="dump";
objGlossary.DEFINITION="All storage and memory for an ABENDed task that have been dumped to disk for debugging purposes. ABEND dump shows the virtual storage predominantly for an unauthorized program. To produce a dump when one is requested for an error, a JCL DD statement of SYSUDUMP, SYSABEND, or SYSMDUMP must be included in the input job stream. An operator can also request an ABEND dump while ending a program, an address space, or canceling a job. There are three types of ABEND dumps:
(1) SYSMDUMP – This is an unformatted dump that requires IPCS to view and format. Unformatted dumping is sometimes more efficient because only the storage requested is written to the data set, which can allow the application to capture diagnostic data and be brought back online faster.
(2) SYSABEND - The largest of the ABEND dumps, this is a pre-formatted dump containing a summary dump for the failing program plus many other areas useful for analyzing processing in the failing program.
(3) SYSUDUMP – This is the smallest of the ABEND dumps, containing data and areas only about the failing program.
 Analogous to “core file” in UNIX terminology.";
aGlossary["D"] = arrPush(aGlossary["D"],objGlossary);


aGlossary["E"] = new Array();
objGlossary = new Object;
objGlossary.TERM="EBCDIC";
objGlossary.DEFINITION="See External Binary Coded Decimal Interchange Code.";
aGlossary["E"] = arrPush(aGlossary["E"],objGlossary);


